Foreman - Feature #3910

for VMware compute resource (fog) give the option to add a cd drive to the created host
12/18/2013 02:51 PM - Jelle B.

Status: Closed
Priority: Normal
Assignee: Timo Goebel
Category: Compute resources - VMware
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3540
Description

In essence it is to add a virtual cd drive to a created vm via fog on vmware (possible others aswell). Reason is so a bootdisk created
via the foreman_bootdisk plugin, however a host created via foreman default does not have a cd/dvd drive.

Via foreman_hooks the generation of this disk can already be done and possibly also transfered to the vmware host, but | can not
seem to get the inclution of the cd drive at build to work on my own.

Related issues:

Related to Foreman - Feature #1946: Addition VMWare options required for VM c... Resolved 11/15/2012
Related to Boot disk - Feature #3287: Connect boot ISO when creating a new VM... Closed 10/16/2013
Related to Boot disk - Refactor #15173: CD-ROM support was moved to core Closed 05/25/2016
Related to Foreman - Bug #15625: VMWare compute resource always adds a cd-rom... Closed 07/08/2016

Associated revisions

Revision 34190cee - 05/24/2016 10:16 AM - Timo Goebel

fixes #3910 - add cdrom drive support for vmware

History

#1 - 12/18/2013 02:57 PM - Dominic Cleal

- Category set to Compute resources

#2 - 01/21/2014 09:45 PM - Ewoud Kohl van Wijngaarden
- Related to Feature #1946: Addition VMWare options required for VM creation added

#3 - 09/16/2014 07:32 PM - Anonymous
- Related to Feature #3287: Connect boot ISO when creating a new VM and boot from it added

#4 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#5 - 10/27/2014 11:33 AM - Zak Herner

CD drive is also needed for installing VMware Tools.

#6 - 10/27/2014 11:49 AM - Anonymous

Zak, that's not strictly needed, I'm using OS packages for VMware Tools all the time and as it turned out, that's even 100% supported by VMware. If
you want, | can share my puppet and provisioning snippets for that.

#7 - 12/08/2014 02:48 PM - Zak Herner

Michael Moll wrote:

Zak, that's not strictly needed, I'm using OS packages for VMware Tools all the time and as it turned out, that's even 100% supported by
VMware. If you want, | can share my puppet and provisioning snippets for that.

| know its not ideal but I'm currently installing VMware tools manually from VM console which does require the CD.

Automating the install is something that still needs to be done so I'm definetaly interested in what you can provide. My contact information is available
in my profile.

#8 - 05/20/2016 10:07 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/3540 added

#9 - 05/24/2016 11:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 34190ceefeed37b4e992eb5d95af20b08704d060.

#10 - 05/25/2016 02:19 AM - Timo Goebel
- Related to Refactor #15173: CD-ROM support was moved to core added

#11 - 05/25/2016 03:10 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#12 - 07/08/2016 09:02 AM - Dominic Cleal

- Related to Bug #15625: VMWare compute resource always adds a cd-rom drive even if the new option is not checked (Feature #3910) added
